using System.Collections.Generic;
using UnityEngine;

namespace TaserMod
{
    public class Mod
    {
        public static void Main()
        {
			ModResourcesLoader.AddSound("shoot", "sfx/shoot.wav");
			ModResourcesLoader.AddSound("stun", "sfx/stun.wav");
			ModResourcesLoader.AddSprite("electrode", "img/electrode.png");
			
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Rod"),
					NameOverride = "Taser",
					DescriptionOverride = "Non-lethal electroshock weapon.",
					NameToOrderByOverride = "!Taser",
					CategoryOverride = ModAPI.FindCategory("Firearms"),
					ThumbnailOverride = ModAPI.LoadSprite("img/TaserView.png"),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("img/taser.png", 1f);
						Instance.FixColliders();

						Instance.GetOrAddComponent<TaserBehaviour>();
						
						var phys = Instance.GetComponent<PhysicalBehaviour>();
						phys.Properties = ModAPI.FindPhysicalProperties("Weapon");
						phys.TrueInitialMass = 0.3f;
						phys.InitialMass = 0.3f;
						phys.rigidbody.mass = 0.3f;
						phys.HoldingPositions = new[]
						{
							new Vector3(-0.1f, -0.05f)
						};
					}
				});
        }
    }
}
